Subject: Re: Git stash bug

From: Anirban Mitra <[email-masked]>
Date: Fri, 09 Jul 2010 17:45:16 +0530

Hi,

Sorry for the last msg. It seems the behavior happened in a different 
situation then what I described which now I can't reproduce.

-- Anirban

On Friday 09 July 2010 11:05 AM, Anirban Mitra wrote:
> Hi,
>
> I ran into a git stash bug. I added a new project config file used by 
> the IDE in a commit and later reverted the commit. But the same file 
> again created by the IDE and now when I use git stash that file 
> changes are also stashed. When I try stash pop, it complains that the 
> file will be overwritten and aborts.
>
> I did not expect this because I have reverted the commit adding the 
> file. Is it intended behaviour? Am I missing something or is this a 
> known bug and will be fixed in later releases? I am using Git version 
> 1.7.0.4.
>
> -- Anirban